require 'studio_game/berserk_player'
require 'studio_game/spec_helper'

module StudioGame
  describe BerserkPlayer do
    before do
      $stdout = StringIO.new
      @player = BerserkPlayer.new("berserker",50)
    end

  it "does not go berserk when w00ted up to 5 times" do
    1.upto(5) {@player.w00t}
    @player.berserk?.should be false
  end

  it "goes berserk when w00ted more than 5 times" do
    6.times {@player.w00t}
    @player.berserk?.should be true
  end

  it "gets w00ted instead of blammed when it goes berserk" do
    6.times {@player.w00t}
    2.times {@player.blam}
    @player.health.should == 170
  end

  end
end
